V8.0
get
/ec-dc-svc/rest/v8.0/studies/{studyId}/{mode}/visitstatus/history/{visitsStatusId}
Retrieves the audit history records of the visit statuses for the given visit ID with additional information on states of visit start date. This API also provides unscheduled events in response.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.Example:
test -
studyId(required): string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.Example:
3F2504E04F8911D39A0C0305E82C3301 -
visitsStatusId(required): string(uuid)
Visit ID for which you want to retrieve the history.The format should be UUID, 32-character uppercase hexadecimal stringExample:
53915DD9B758466AB2226CBCC4466B7E
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Subjects success.
Nested Schema : VisitsStatusDto810
Type:
Show Source
object-
comment: string
Minimum Length:
0Maximum Length:2048Additional comment for the visit statusExample:All data verified -
eventId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical event like Screening, Visit 1 etc.Example:
ABCDEF1234567890ABCDEF1234567890 -
eventInstanceNum: integer
(int32)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits. It is null for scheduled events.Example:
1 -
eventType: string
Event type corresponding to the visit. The acceptable values are: Visit_Not_Started, Visit_Started, Visit_Complete, Visit_Skipped, Visit_Skip_Undone, Visit_Date_Changed, Visit_Inserted, Visit_Show, Visit_Hide, VisitDateEntered and VisitDateCleared.Example:
Visit_Not_Started -
freezedStatus: string
Frozen status of the record can have values NOT_APPLICABLE, FROZEN, UNFREEZE.Example:
FROZEN -
id: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the recordExample:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
lockedDateTime: string
(date-time)
Timestamp when the visit was lockedExample:
2025-10-16T14:30:31.892Z -
lockedStatus: string
Locked status of the visit. Can have values LOCKED,UNLOCKED or NEVER_LOCKEDExample:
LOCKED -
reason: string
Minimum Length:
0Maximum Length:255Reason associated with the visit statusExample:Subject completed the visit successfully -
signedStatus: string
Signed status for workflow, the acceptable values are: NEVER_SIGNED, SIGNED, UNSIGNED, NEVER_SIGNED.Example:
SIGNED -
siteId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the clinical site.Example:
ABCDEF1234567890ABCDEF1234567890 -
sourceTimeStamp: string
(date-time)
Timestamp from the source system indicating when this record originatedExample:
2025-10-16T14:30:31.892Z -
studyVersion(required): string
Minimum Length:
0Maximum Length:100String representing the version of the study configuration or protocol. Helps track changes in form or study design.Example:3.0.0.1 -
subjectId: string
Unique subject identifier (UUID, 32-character uppercase hexadecimal string) representing the patient/participant enrolled in the study.Example:
ABCDEF1234567890ABCDEF1234567890 -
verifiedStatus: string
Verified status for review workflow,the acceptable values are: NEVER_VEIFIED, VERIFIED, UNVERIFIED, NOT_APPLICABLE.Example:
VERIFIED -
versionStart: string
Start timestamp of the version recordExample:
2025-10-16T14:30:31.892Z -
visitStartDate: string
(date-time)
Visit start date timestampExample:
2025-10-16T14:30:31.892Z -
visitStartDateFreezeStatus: string
Frozen status of the record can have values NOT_APPLICABLE, FROZEN, UNFREEZE.Example:
LOCKED -
visitStartDateLockedDateTime: string
(date-time)
Timestamp when the visit start date was lockedExample:
2025-10-16T14:30:31.892Z -
visitStartDateLockedStatus: string
Action performed on visit start date LOCKED, UNLOCKED, NEVER_LOCKED.Example:
LOCKED -
visitStartDateSignStatus: string
Signed status for workflow, the acceptable values are: NEVER_SIGNED, SIGNED, UNSIGNED, NEVER_SIGNED.Example:
SIGNED -
visitStartDateVerifyStatus: string
Verified status for review workflow,the acceptable values are: NEVER_VEIFIED, VERIFIED, UNVERIFIED, NOT_APPLICABLE.Example:
VERIFY -
visitStatus: string
Status of the visit. The Value of the status can be NEW, COMPLETE, COMPLETE_ERR, INPROGRESS, INCOMPLETE, INCOMPLETE_ERR, SKIPPED, UNDO_SKIP and NOT_STARTED.Example:
COMPLETE -
visitType: string
Type of visit as per the visit type enumeration. The acceptable values are: SCREENING, RANDOMIZATION, DISPENSATION, NON_DISPENSATION, OPTIONAL, OPTIONAL_DISPENSATION, WITHDRAW, SCREENDISP, SCREENRAND, SUBJECT_COMPLETE, UNSCHEDULED, UNSCHEDULED_DISPENSATION, ADVERSE_EVENT, SCREENFAILURE, RESCREENING and RESCREENDISP.Example:
SCREENING
Examples
400 Response
Bad request.
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples